rake aborted!


※上記の広告は60日以上更新のないWIKIに表示されています。更新することで広告が下部へ移動します。

rails環境にて


環境変数を本番環境(RAILS_ENV=production)にして、
rake db:create RAILS_ENV=production
を実行したら、
次のエラーが起きた。
rake aborted!
Gem::LoadError: You have already activated rake 10.4.1, but your Gemfile requires rake 10.3.2.
rakeの有効になっているバージョンと、Gemfaileでのバージョンが違っているというエラー。

次のコマンドで、Gemfileでのrakeのバージョンを最新にすることで解決した。
bundle update rake

再度、
rake db:create RAILS_ENV=production
を実行して成功。